Bug 12096 - apxs does not handle binary dists installed at non-default locations
Summary: apxs does not handle binary dists installed at non-default locations
Status: RESOLVED WONTFIX
Alias: None
Product: Apache httpd-1.3
Classification: Unclassified
Component: Other (show other bugs)
Version: 1.3.26
Hardware: All All
: P3 normal with 3 votes (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-08-27 17:46 UTC by Jess Holle
Modified: 2007-08-02 11:34 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jess Holle 2002-08-27 17:46:14 UTC
apxs does not handle binary distributables installed at non-default locations.  
Specifically, apxs complains that there is no DSO support available when the 
real issue is that the apxs command used to check for DSO support (which is 
essentially "if (not grep(/mod_so/, httpd -l")) does not provide httpd with 
appropriate -d and -R arguments.

Without this fix, binary distributables give every appearance of having 
unusable apxs support!

For all Apache binary distributables that I build, I patch apxs.pl before 
building, but this is ridiculous -- this should simply be fixed in the normal 
source tree.
Comment 1 Jess Holle 2004-03-13 13:52:46 UTC
Note: This has been fixed in the Apache 2.0 stream.  It's only the Apache 
1.3.x stream that is broken in this respect.